package de.micka.lebenshilfe;

import android.app.Activity;
import android.content.Intent;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;

public class ListeBearbeiten extends Activity implements Constants
{
	private HaushaltsbuchDataManager dataManager;
	public static String LISTENID ="listenId";
	public static String LISTENNAME ="listenname";
	private String alterListenname;
	private String neuerListenname;
	private long listenid;
	private EditText edt_listenname;
	public void onCreate(Bundle savedInstanceState) 
	{
        super.onCreate(savedInstanceState);
        setContentView(R.layout.listebearbeiten);
        //bergebene Werte laden(alterListenname, listenid)
        extrasAbrufen();
        alteTabelleLaden();
    }
	public void extrasAbrufen()
	{
		final Bundle extras = getIntent().getExtras();
	    if(extras != null)
	    {
	    	alterListenname = extras.getString(ListenUebersicht.LISTENNAME);
	    	listenid = extras.getLong(ListenUebersicht.LISTENID);
	    }
	}
	public void alteTabelleLaden()
	{
		//EditTexts referenzieren
	    edt_listenname = (EditText) findViewById(R.id.edt_liste__aendern_name);
	    //Alte Werte in EditTexts setzen
	    edt_listenname.setText(alterListenname);
	}
	public void aenderungUebernehmen(View v)
	{
		edt_listenname = (EditText) findViewById(R.id.edt_liste__aendern_name); 
		neuerListenname = edt_listenname.getText().toString();
				
		//Datenbank ndern
		dataManager = new HaushaltsbuchDataManager(this);
		SQLiteDatabase db = dataManager.getWritableDatabase();
		db.execSQL("UPDATE " + LISTEN_TABLE_NAME + " SET " 
				+ Constants.LISTENNAME + " = '" + neuerListenname +"' " 
				+ "WHERE " + Constants._ID + " = '" + listenid + "';");
		//Log.i(tag, "new Table: " + neuerListenname);
		db.close();
		dataManager.close();
		Intent i = new Intent(this, ListenUebersicht.class);;
        finish();
        startActivity(i);
	}
	@Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode == KeyEvent.KEYCODE_BACK) {
            Intent i = new Intent(this, ListenUebersicht.class);;
            finish();
            startActivity(i);
            return true;
        }
        return super.onKeyDown(keyCode, event);
    }
	@Override
	public boolean onCreateOptionsMenu(Menu menu)
    {
    	getMenuInflater().inflate(R.menu.optionsmenu, menu);
		return super.onCreateOptionsMenu(menu);
    }
    public boolean onOptionsItemSelected(MenuItem item)
    {//Was passiert wenn ein Options-Men Eintrag gewhlt wird
    	switch(item.getItemId())
    	{
    		case R.id.opt_beenden: 
    			System.exit(0);
    		case R.id.opt_zurUebersicht:
    		{
    			final Intent intent = new Intent(this, ListenUebersicht.class);
    			startActivity(intent);
    		};
    		default:
    			return super.onOptionsItemSelected(item);
    	}
    }
}
